---
title: GamepadEvent()
slug: Web/API/GamepadEvent/GamepadEvent
tags:
  - API
  - Constructor
  - Gamepad API
  - Games
  - Reference
---
<p>{{APIRef("Gamepad API")}}</p>

<p>The <strong><code>GamepadEvent()</code></strong> constructor creates a new {{domxref("GamepadEvent")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var gamepadEvent = new GamepadEvent(typeArg, options)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
	<dt><em>typeArg</em></dt>
	<dd>A {{domxref("DOMString")}} that must be one of <code>gamepadconnected</code> or <code>gamepaddisconnected</code>.</dd>
	<dt><em>options</em> {{optional_inline}}</dt>
	<dd>Options are as follows:
	<ul>
		<li><code>gamepad</code>: An instance of {{domxref("Gamepad")}} describing the gamepad associated with the event.</li>
	</ul>
	</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Gamepad','#gamepadevent-interface','GamepadEvent_')}}</td>
			<td>{{Spec2('Gamepad')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GamepadEvent.GamepadEvent")}}</p>
